> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.headerposition.md).

# HeaderPosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the locations of the header in a [Panel](/api/wisej.web/containers/wisej.web.panel.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum HeaderPosition : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum HeaderPosition As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                |
| ---------- | ---------------------------------------------------------- |
| **Bottom** | The header is located across the bottom of the control.    |
| **Left**   | The header is located along the left edge of the control.  |
| **Right**  | The header is located along the right edge of the control. |
| **Top**    | The header is located across the top of the control.       |

## Used By

| Name                                                                                                                                                           | Description                                                                                                                                |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| [MonthCalendar.ToolsPosition](/api/wisej.web/editors/monthcalendar.md#toolsposition)                                                                           | Returns or sets the position of the [ComponentTool](/api/wisej.web/editors/wisej.web.componenttool.md) items associated with this control. |
| [Panel.CollapseSide](/api/wisej.web/containers/wisej.web.panel.md#collapseside)                                                                                | Returns or sets a value that indicates to which side should the panel collapse.                                                            |
| [Panel.HeaderPosition](/api/wisej.web/containers/wisej.web.panel.md#headerposition)                                                                            | Returns or sets a value that indicates on which side to display the header when the header is visible.                                     |
| [SplitterPanel.CollapseSide](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md#collapseside)                                                 | Returns or sets a value that indicates to which side should the panel collapse.                                                            |
| [MonthCalendarExtenestions.ToolsPosition](/api/wisej.web.markup/extensions/wisej.web.markup.monthcalendarextenestions.md#toolsposition-monthcalendar-position) | Sets the ToolsPosition property of the specified [MonthCalendar](/api/wisej.web/editors/monthcalendar.md).                                 |
| [PanelExtensions.CollapseSide](/api/wisej.web.markup/extensions/wisej.web.markup.panelextensions.md#collapseside-panel-value)                                  | Sets the side of the panel to collapse.                                                                                                    |
| [PanelExtensions.HeaderPosition](/api/wisej.web.markup/extensions/wisej.web.markup.panelextensions.md#headerposition-panel-value)                              | Sets the position of the panel's header.                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.headerposition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
